<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [getServerNumPortsRequired](./bitburner.ns.getservernumportsrequired.md)

## NS.getServerNumPortsRequired() method

Returns the number of open ports required to successfully run NUKE.exe on the specified server.

**Signature:**

```typescript
getServerNumPortsRequired(host?: string): number;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

host


</td><td>

string


</td><td>

_(Optional)_ Hostname/IP of the target server. Optional. Defaults to current server if not provided.


</td></tr>
</tbody></table>

**Returns:**

number

The number of open ports required to successfully run NUKE.exe on the specified server.

## Remarks

RAM cost: 0.1 GB

